#if !defined(AFX_MAINTMSGRS_H__75AE8884_A1AF_4C0B_908D_6F2DFA07DC0A__INCLUDED_)
#define AFX_MAINTMSGRS_H__75AE8884_A1AF_4C0B_908D_6F2DFA07DC0A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MaintMsgRS.h : header file
//

struct stMaintMsg
{
    int iMaintMsgId;
    CString csMaintMsg;
};

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

/////////////////////////////////////////////////////////////////////////////
// CMaintMsgRS DAO recordset

class DLLCLASS CMaintMsgRS : public CDaoRecordset
{
public:
    CMaintMsgRS(CDaoDatabase* pDatabase = NULL);
    DECLARE_DYNAMIC(CMaintMsgRS)

    virtual ~CMaintMsgRS();

// Field/Param Data
// {{AFX_FIELD(CMaintMsgRS, CDaoRecordset)
    long    m_MsgID;
    CString m_Msg;
// }}AFX_FIELD

// Overrides
// ClassWizard generated virtual function overrides
// {{AFX_VIRTUAL(CMaintMsgRS)
public:
    virtual CString GetDefaultDBName();                      // Default database name
    virtual CString GetDefaultSQL();                         // Default SQL for Recordset
    virtual void    DoFieldExchange(CDaoFieldExchange* pFX); // RFX support
// }}AFX_VIRTUAL

//  Close Recordset and close database
    virtual void Close();

    void    InitMaintMsg();               // read maintenance message id and message from MaintMessage table in MITMC.mdb
    CString GetMaintMsg(int iMaintMsgId); // get maintenance message

// Implementation
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

private:
/*  enum
    {
        MAX_MAINT_MSG = 200,
    };*/

//  stMaintMsg m_stMaintMsg[MAX_MAINT_MSG];
    stMaintMsg *m_stMaintMsg;

    int m_iRecordCount;
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINTMSGRS_H__75AE8884_A1AF_4C0B_908D_6F2DFA07DC0A__INCLUDED_)
